: Class MethodTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Filter
Class MethodTag

    java.lang.Object
      |
      +--com.mortbay.HTTP.Filter.MethodTag

public class MethodTag
extends java.lang.Object

A MethodTag is a string representing a call to a method on a class. It uses reflection to determine the validity of the method and class it

### Notes

Argument types supported include:

- Quoted strings
- Instances of Double
- Named objects that are looked up against the dictionary passed at construction.
- HttpRequest parameters looked up against the request passed at construction. Due to limitations in the reflection classes, method overload resolution has the following restrictions:
  - Primitive types are not yet supported.
  - The only Number supported is Double
  - The arg "null" is typed as a String for locating a method.

  Field Summary
  `java.lang.Object[]` | `tagArgs`
  `java.lang.String` | `tagArgsString`
  `java.lang.Class` | `tagClass`
  `java.lang.String` | `tagClassName`
  `java.lang.reflect.Method` | `tagMethod`
  `java.lang.String` | `tagMethodName`

  Constructor Summary
  `MethodTag(java.lang.String tag, java.util.Dictionary namedArgs, HttpRequest request)` Construct tag With a pathetic parser, with little error handling.

  Method Summary
  `java.lang.Object` | `invoke()`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### tagClassName

      public java.lang.String tagClassName

  ### tagClass

      public java.lang.Class tagClass

  ### tagMethodName

      public java.lang.String tagMethodName

  ### tagMethod

      public java.lang.reflect.Method tagMethod

  ### tagArgsString

      public java.lang.String tagArgsString

  ### tagArgs

      public java.lang.Object[] tagArgs

  Constructor Detail

  ### MethodTag

      public MethodTag(java.lang.String tag,
                       java.util.Dictionary namedArgs,
                       HttpRequest request)
                throws java.lang.ClassNotFoundException,
                       java.lang.NoSuchMethodException

    Construct tag With a pathetic parser, with little error handling.
    Parameters:
      `tag` - String of the form "package.name.class.method(args,...)" Currently arguments can be named args (see below), longs, Strings or null.
      `namedArgs` - Dictionary of named arguments. Arg names in the tag string are looked up in this Dictionary. Can be null.
      `request` - A HttpRequest. If the named arguments are not found in namedArgs, the request parameters are tried. Can be null

  Method Detail

  ### invoke

      public java.lang.Object invoke()
                              throws java.lang.reflect.InvocationTargetException,
                                     java.lang.IllegalAccessException

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD